BIN Check

The BIN Check service, for the entered card number BIN information is used to query.

With this service:

  • The bank the card is linked to

  • Card type (credit / debit / prepaid)

  • Card brand (Visa, Mastercard etc.)

  • Whether the card is commercial

basic card features such as can be learned.

ℹ️ BIN query operation is not a financial transaction and does not initiate a payment.


Endpoint

POST /v1/BinList/CheckBin

Headers

Key
Type
Description
Example

x-ClientID

String

Unique identifier for the API client

your-client-id

x-ClientSecret

String

Secret key for the API client

your-secret-key

x-GrantType

String

Type of access token used

client_credentials

x-Scope

String

API scope

pf_write, pf_read

x-Timestamp

String

Request timestamp

2024-12-17T12:34:56Z


Request Body

Field
Required
Type
Description
Example

bin

Integer

4 or 6 digit BIN number

402940

language

String

Transaction language

tr

sign

String

Digital signature for request verification

AAVWY3RZKJVVCEAD8LDQB4K


Response Body

The BIN check service returns the bank and card information for the queried card.

Sample Request

Sample Response

Last updated